#
# $Header: /cvs/stx/stx/libcomp/vms.mak,v 1.2 1997-09-16 02:53:32 cg Exp $
#

LIBNAME=libcomp
#LIB_BASE=$(LIBCOMP_BASE)

PACKAGE="-package=(stx:$(LIBNAME))"
STCLOCALOPT=-warnNonStandard -warnGlobalAssign +optinline

OBJS=                                           \
	      Scanner.$(O)                             \
		Parser.$(O)                            \
		  BCompiler.$(O)                       \
		  Explainer.$(O)                       \
	      ProgramNodeEnumerator.$(O)	       \
	      Variable.$(O)                            \
	      ParseNode.$(O)                           \
		PrimaryNd.$(O)                         \
		  VarNode.$(O)                         \
		  SelfNode.$(O)                        \
		    SuperNode.$(O)                     \
		  ConstNode.$(O)                       \
		StatNode.$(O)                          \
		  RetNode.$(O)                         \
		  PrimNd.$(O)                          \
		AssignNd.$(O)                          \
		BlockNode.$(O)                         \
		MessageNd.$(O)                         \
		  UnaryNd.$(O)                         \
		  BinaryNd.$(O)                        \
		  CascadeNd.$(O)                       \
	      UndefVar.$(O)                            \
	      LazyMethod.$(O)                          \
	      SrcFLoader.$(O)                          \
	      ImmArray.$(O)                            \
	      ObjFLoader.$(O)                          \
	      ObjFHandle.$(O)                          

theLib:   $(LIBNAME).olb
	  $(MAKE) objs
	  $(MAKE) libinit
	  write sys$output "classlibrary $(LIBNAME).olb made."

$(LIBNAME).olb:
	  write sys$output "creating initial $(LIBNAME).olb ..."
	  lib/cre $(LIBNAME).olb

objs:	$(OBJS)
